import java.util.List;

import org.drools.SystemEventListenerFactory;
import org.jbpm.task.query.TaskSummary;
import org.jbpm.task.service.TaskClient;
import org.jbpm.task.service.hornetq.HornetQTaskClientConnector;
import org.jbpm.task.service.hornetq.HornetQTaskClientHandler;
import org.jbpm.task.service.responsehandlers.BlockingTaskSummaryResponseHandler;


public class HumanTaskClient
{
    private final static String HT_SERVICE_HOST = "127.0.0.1";
    private final static int HT_SERVICE_PORT = 6666;

    public static void main(String[] args)
    {
	HumanTaskClient htClient = new HumanTaskClient();
	htClient.execute();
	//System.exit(0);
    }
    
    private void execute()
    {
	TaskClient client = new TaskClient(new HornetQTaskClientConnector("client 1", new HornetQTaskClientHandler(SystemEventListenerFactory.getSystemEventListener())));
	boolean isConnected = client.connect(HT_SERVICE_HOST, HT_SERVICE_PORT);
	System.out.println("isConnected = " + isConnected);
	
	BlockingTaskSummaryResponseHandler taskSummaryResponseHandler = new BlockingTaskSummaryResponseHandler();
	client.getTasksAssignedAsPotentialOwner("krisv", "en-UK", taskSummaryResponseHandler);
	List<TaskSummary> tasks = taskSummaryResponseHandler.getResults();
	
	for (TaskSummary task : tasks)
	{
	    System.out.println(task.getSubject());
	}
	
	try
	{
	    client.disconnect();
	}
	catch (Exception e)
	{
	    e.printStackTrace();
	}
    }
}
